<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: include/SDL/SDL_test_common.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_bb71c587d4eee030bda30f2f35ebd6b7.html">SDL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">SDL_test_common.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_s_d_l_8h_source.html">SDL.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="begin__code_8h_source.html">begin_code.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="close__code_8h_source.html">close_code.h</a>&quot;</code><br />
</div>
<p><a href="_s_d_l__test__common_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l_test___common_state.html">SDLTest_CommonState</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a6ca4df6b9e1495a80a2929a5187cb9b9"><td class="memItemLeft" align="right" valign="top"><a id="a6ca4df6b9e1495a80a2929a5187cb9b9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>DEFAULT_WINDOW_WIDTH</b>&#160;&#160;&#160;640</td></tr>
<tr class="separator:a6ca4df6b9e1495a80a2929a5187cb9b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a030ebc610fddb0a18d62829ab376bf85"><td class="memItemLeft" align="right" valign="top"><a id="a030ebc610fddb0a18d62829ab376bf85"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>DEFAULT_WINDOW_HEIGHT</b>&#160;&#160;&#160;480</td></tr>
<tr class="separator:a030ebc610fddb0a18d62829ab376bf85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5d2ba75c3cd702f1a269c406902ddcb"><td class="memItemLeft" align="right" valign="top"><a id="ab5d2ba75c3cd702f1a269c406902ddcb"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>VERBOSE_VIDEO</b>&#160;&#160;&#160;0x00000001</td></tr>
<tr class="separator:ab5d2ba75c3cd702f1a269c406902ddcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a535ac3889907ff97e556a3cae117cc"><td class="memItemLeft" align="right" valign="top"><a id="a3a535ac3889907ff97e556a3cae117cc"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>VERBOSE_MODES</b>&#160;&#160;&#160;0x00000002</td></tr>
<tr class="separator:a3a535ac3889907ff97e556a3cae117cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bdcd39423e8261d05407ab758feb037"><td class="memItemLeft" align="right" valign="top"><a id="a7bdcd39423e8261d05407ab758feb037"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>VERBOSE_RENDER</b>&#160;&#160;&#160;0x00000004</td></tr>
<tr class="separator:a7bdcd39423e8261d05407ab758feb037"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e5a47c9aaa54a2b134b0066f48b4e0c"><td class="memItemLeft" align="right" valign="top"><a id="a3e5a47c9aaa54a2b134b0066f48b4e0c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>VERBOSE_EVENT</b>&#160;&#160;&#160;0x00000008</td></tr>
<tr class="separator:a3e5a47c9aaa54a2b134b0066f48b4e0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab607cbf4694150235976fc1ef6e68387"><td class="memItemLeft" align="right" valign="top"><a id="ab607cbf4694150235976fc1ef6e68387"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>VERBOSE_AUDIO</b>&#160;&#160;&#160;0x00000010</td></tr>
<tr class="separator:ab607cbf4694150235976fc1ef6e68387"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a8752973417c10ede61c07fba67c65f7a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_s_d_l_test___common_state.html">SDLTest_CommonState</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_d_l__test__common_8h.html#a8752973417c10ede61c07fba67c65f7a">SDLTest_CommonCreateState</a> (char **argv, Uint32 flags)</td></tr>
<tr class="memdesc:a8752973417c10ede61c07fba67c65f7a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parse command line parameters and create common state.  <a href="_s_d_l__test__common_8h.html#a8752973417c10ede61c07fba67c65f7a">More...</a><br /></td></tr>
<tr class="separator:a8752973417c10ede61c07fba67c65f7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ffe001ae2299720a92b80812dbc48b9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_d_l__test__common_8h.html#a6ffe001ae2299720a92b80812dbc48b9">SDLTest_CommonArg</a> (<a class="el" href="struct_s_d_l_test___common_state.html">SDLTest_CommonState</a> *state, int index)</td></tr>
<tr class="memdesc:a6ffe001ae2299720a92b80812dbc48b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process one common argument.  <a href="_s_d_l__test__common_8h.html#a6ffe001ae2299720a92b80812dbc48b9">More...</a><br /></td></tr>
<tr class="separator:a6ffe001ae2299720a92b80812dbc48b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa048e9175cca826d9dbd6c5d72284e38"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_d_l__test__common_8h.html#aa048e9175cca826d9dbd6c5d72284e38">SDLTest_CommonLogUsage</a> (<a class="el" href="struct_s_d_l_test___common_state.html">SDLTest_CommonState</a> *state, const char *argv0, const char **options)</td></tr>
<tr class="memdesc:aa048e9175cca826d9dbd6c5d72284e38"><td class="mdescLeft">&#160;</td><td class="mdescRight">Logs command line usage info.  <a href="_s_d_l__test__common_8h.html#aa048e9175cca826d9dbd6c5d72284e38">More...</a><br /></td></tr>
<tr class="separator:aa048e9175cca826d9dbd6c5d72284e38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71ea0036b194df15caae753ca03825b1"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_d_l__test__common_8h.html#a71ea0036b194df15caae753ca03825b1">SDLTest_CommonUsage</a> (<a class="el" href="struct_s_d_l_test___common_state.html">SDLTest_CommonState</a> *state)</td></tr>
<tr class="memdesc:a71ea0036b194df15caae753ca03825b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns common usage information.  <a href="_s_d_l__test__common_8h.html#a71ea0036b194df15caae753ca03825b1">More...</a><br /></td></tr>
<tr class="separator:a71ea0036b194df15caae753ca03825b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7405405819a77e317a1edda6be974187"><td class="memItemLeft" align="right" valign="top">SDL_bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_d_l__test__common_8h.html#a7405405819a77e317a1edda6be974187">SDLTest_CommonInit</a> (<a class="el" href="struct_s_d_l_test___common_state.html">SDLTest_CommonState</a> *state)</td></tr>
<tr class="memdesc:a7405405819a77e317a1edda6be974187"><td class="mdescLeft">&#160;</td><td class="mdescRight">Open test window.  <a href="_s_d_l__test__common_8h.html#a7405405819a77e317a1edda6be974187">More...</a><br /></td></tr>
<tr class="separator:a7405405819a77e317a1edda6be974187"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39a960ca01f07491d42008a137db6f1c"><td class="memItemLeft" align="right" valign="top">SDL_bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_d_l__test__common_8h.html#a39a960ca01f07491d42008a137db6f1c">SDLTest_CommonDefaultArgs</a> (<a class="el" href="struct_s_d_l_test___common_state.html">SDLTest_CommonState</a> *state, const int argc, char **argv)</td></tr>
<tr class="memdesc:a39a960ca01f07491d42008a137db6f1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Easy argument handling when test app doesn't need any custom args.  <a href="_s_d_l__test__common_8h.html#a39a960ca01f07491d42008a137db6f1c">More...</a><br /></td></tr>
<tr class="separator:a39a960ca01f07491d42008a137db6f1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fb0eb864d62d6d9f6d932c9abccd1f4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_d_l__test__common_8h.html#a5fb0eb864d62d6d9f6d932c9abccd1f4">SDLTest_CommonEvent</a> (<a class="el" href="struct_s_d_l_test___common_state.html">SDLTest_CommonState</a> *state, <a class="el" href="union_s_d_l___event.html">SDL_Event</a> *event, int *done)</td></tr>
<tr class="memdesc:a5fb0eb864d62d6d9f6d932c9abccd1f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Common event handler for test windows.  <a href="_s_d_l__test__common_8h.html#a5fb0eb864d62d6d9f6d932c9abccd1f4">More...</a><br /></td></tr>
<tr class="separator:a5fb0eb864d62d6d9f6d932c9abccd1f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d24c255140a7e90c753eb363ef4d96e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_d_l__test__common_8h.html#a2d24c255140a7e90c753eb363ef4d96e">SDLTest_CommonQuit</a> (<a class="el" href="struct_s_d_l_test___common_state.html">SDLTest_CommonState</a> *state)</td></tr>
<tr class="memdesc:a2d24c255140a7e90c753eb363ef4d96e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Close test window.  <a href="_s_d_l__test__common_8h.html#a2d24c255140a7e90c753eb363ef4d96e">More...</a><br /></td></tr>
<tr class="separator:a2d24c255140a7e90c753eb363ef4d96e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Include file for SDL test framework.</p>
<p>This code is a part of the SDL2_test library, not the main SDL library. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a6ffe001ae2299720a92b80812dbc48b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ffe001ae2299720a92b80812dbc48b9">&#9670;&nbsp;</a></span>SDLTest_CommonArg()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int SDLTest_CommonArg </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_s_d_l_test___common_state.html">SDLTest_CommonState</a> *&#160;</td>
          <td class="paramname"><em>state</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Process one common argument. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">state</td><td>The common state describing the test window to create. </td></tr>
    <tr><td class="paramname">index</td><td>The index of the argument to process in argv[].</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The number of arguments processed (i.e. 1 for &ndash;fullscreen, 2 for &ndash;video [videodriver], or -1 on error. </dd></dl>

</div>
</div>
<a id="a8752973417c10ede61c07fba67c65f7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8752973417c10ede61c07fba67c65f7a">&#9670;&nbsp;</a></span>SDLTest_CommonCreateState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_s_d_l_test___common_state.html">SDLTest_CommonState</a>* SDLTest_CommonCreateState </td>
          <td>(</td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>argv</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Uint32&#160;</td>
          <td class="paramname"><em>flags</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Parse command line parameters and create common state. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">argv</td><td>Array of command line parameters </td></tr>
    <tr><td class="paramname">flags</td><td>Flags indicating which subsystem to initialize (i.e. SDL_INIT_VIDEO | SDL_INIT_AUDIO)</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Returns a newly allocated common state object. </dd></dl>

</div>
</div>
<a id="a39a960ca01f07491d42008a137db6f1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39a960ca01f07491d42008a137db6f1c">&#9670;&nbsp;</a></span>SDLTest_CommonDefaultArgs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SDL_bool SDLTest_CommonDefaultArgs </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_s_d_l_test___common_state.html">SDLTest_CommonState</a> *&#160;</td>
          <td class="paramname"><em>state</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>argv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Easy argument handling when test app doesn't need any custom args. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">state</td><td>The common state describing the test window to create. </td></tr>
    <tr><td class="paramname">argc</td><td>argc, as supplied to SDL_main </td></tr>
    <tr><td class="paramname">argv</td><td>argv, as supplied to SDL_main</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>False if app should quit, true otherwise. </dd></dl>

</div>
</div>
<a id="a5fb0eb864d62d6d9f6d932c9abccd1f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fb0eb864d62d6d9f6d932c9abccd1f4">&#9670;&nbsp;</a></span>SDLTest_CommonEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SDLTest_CommonEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_s_d_l_test___common_state.html">SDLTest_CommonState</a> *&#160;</td>
          <td class="paramname"><em>state</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="union_s_d_l___event.html">SDL_Event</a> *&#160;</td>
          <td class="paramname"><em>event</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>done</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Common event handler for test windows. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">state</td><td>The common state used to create test window. </td></tr>
    <tr><td class="paramname">event</td><td>The event to handle. </td></tr>
    <tr><td class="paramname">done</td><td>Flag indicating we are done. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a7405405819a77e317a1edda6be974187"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7405405819a77e317a1edda6be974187">&#9670;&nbsp;</a></span>SDLTest_CommonInit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SDL_bool SDLTest_CommonInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_s_d_l_test___common_state.html">SDLTest_CommonState</a> *&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Open test window. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">state</td><td>The common state describing the test window to create.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if initialization succeeded, false otherwise </dd></dl>

</div>
</div>
<a id="aa048e9175cca826d9dbd6c5d72284e38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa048e9175cca826d9dbd6c5d72284e38">&#9670;&nbsp;</a></span>SDLTest_CommonLogUsage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SDLTest_CommonLogUsage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_s_d_l_test___common_state.html">SDLTest_CommonState</a> *&#160;</td>
          <td class="paramname"><em>state</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>argv0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char **&#160;</td>
          <td class="paramname"><em>options</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Logs command line usage info. </p>
<p>This logs the appropriate command line options for the subsystems in use plus other common options, and then any application-specific options. This uses the <a class="el" href="_s_d_l__log_8h.html#a712dc42164c67b7f9e23dc0e3b15bd92" title="Log a message with SDL_LOG_CATEGORY_APPLICATION and SDL_LOG_PRIORITY_INFO.">SDL_Log()</a> function and splits up output to be friendly to 80-character-wide terminals.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">state</td><td>The common state describing the test window for the app. </td></tr>
    <tr><td class="paramname">argv0</td><td>argv[0], as passed to main/SDL_main. </td></tr>
    <tr><td class="paramname">options</td><td>an array of strings for application specific options. The last element of the array should be NULL. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2d24c255140a7e90c753eb363ef4d96e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d24c255140a7e90c753eb363ef4d96e">&#9670;&nbsp;</a></span>SDLTest_CommonQuit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SDLTest_CommonQuit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_s_d_l_test___common_state.html">SDLTest_CommonState</a> *&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Close test window. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">state</td><td>The common state used to create test window. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a71ea0036b194df15caae753ca03825b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71ea0036b194df15caae753ca03825b1">&#9670;&nbsp;</a></span>SDLTest_CommonUsage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* SDLTest_CommonUsage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_s_d_l_test___common_state.html">SDLTest_CommonState</a> *&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns common usage information. </p>
<p>You should (probably) be using <a class="el" href="_s_d_l__test__common_8h.html#aa048e9175cca826d9dbd6c5d72284e38" title="Logs command line usage info.">SDLTest_CommonLogUsage()</a> instead, but this function remains for binary compatibility. Strings returned from this function are valid until <a class="el" href="_s_d_l__test__common_8h.html#a2d24c255140a7e90c753eb363ef4d96e" title="Close test window.">SDLTest_CommonQuit()</a> is called, in which case those strings' memory is freed and can no longer be used.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">state</td><td>The common state describing the test window to create. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>String with usage information </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
